#include <bits/stdc++.h>
using namespace std;
int n,b,a,d,c,i=0,p;
bool check(float a,float b,float c)
{
    return a+b>c&&b+c>a&&a+c>b;
}
int main()
{
    ifstream f1("tamgiac.inp"); ofstream f2("tamgiac.out");
    f1>>a>>b>>c;
    p=(a+b+c)/2;
    if (check(a,b,c))
    {
        f2<<"YES";
        f2<<setprecision(2)<<fixed<<sqrt(p*(p-a)*(p-b)*(p-c));
    }
    else f2<<"NO";
    f1.close();
    f2.close();
    return 0;
}


